set(CMAKE_FIND_ROOT_PATH_MODE_LIBRARY BOTH)
set(CMAKE_FIND_ROOT_PATH_MODE_INCLUDE BOTH)
set(CMAKE_FIND_ROOT_PATH_MODE_PACKAGE BOTH)

macro(SUBDIRLIST result curdir)
  file(
    GLOB children
    RELATIVE ${curdir}
    ${curdir}/*)
  set(dirlist "")
  foreach(child ${children})
    if(IS_DIRECTORY ${curdir}/${child})
      list(APPEND dirlist ${child})
    endif()
  endforeach()
  set(${result} ${dirlist})
endmacro()

find_path(third_party_path NAMES third-party PATHS ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/../../ NO_DEFAULT_PATH REQUIRED)
find_path(utility_path NAMES utility PATHS ${CMAKE_SOURCE_DIR} ${CMAKE_SOURCE_DIR}/../ NO_DEFAULT_PATH REQUIRED)
set(THIRD_PARTY ${third_party_path}/third-party)
set(UTILITY ${utility_path}/utility)

if(NOT ANDROID_NDK_TOOLCHAIN_INCLUDED)
  set(LIBS "pthread" "dl" "rt" "m")
endif()

set(CMAKE_EXE_LINKER_FLAGS "-Wl,-rpath=.:../../../agora_sdk/lib/${MACHINE}")

